<form onsubmit="return validateFile()" method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_kat_pengaduan_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_kat_pengaduan_create' %}"
    {% endif %}>

    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group">
        <label for="{{ form.nama_kategori.id_for_label }}">Nama Kategori</label>
        <input type="text" placeholder="Masukkan judul PPID..."
            class="form-control {% if form.nama_kategori.errors %}is-invalid{% endif %}"
            name="{{ form.nama_kategori.name }}"
            id="{{ form.nama_kategori.id_for_label }}" 
            maxlength="{{ form.nama_kategori.field.max_length }}"
            {% if form.nama_kategori.value != None %}value="{{ form.nama_kategori.value|stringformat:'s' }}"{% endif %}
            {% if form.nama_kategori.field.required %}required{% endif %} >
        {% if form.nama_kategori.errors %}
            <div class="invalid-feedback">
                {{ form.nama_kategori.errors }}
            </div>
        {% endif %}
    </div>
    <div class="form-group">
        <label for="{{ form.jenis_kategori.id_for_label }}">Jenis Kategori</label>
        <input type="text" placeholder="Masukkan judul PPID..."
            class="form-control {% if form.jenis_kategori.errors %}is-invalid{% endif %}"
            name="{{ form.jenis_kategori.name }}"
            id="{{ form.jenis_kategori.id_for_label }}" 
            maxlength="{{ form.jenis_kategori.field.max_length }}"
            {% if form.jenis_kategori.value != None %}value="{{ form.jenis_kategori.value|stringformat:'s' }}"{% endif %}
            {% if form.jenis_kategori.field.required %}required{% endif %} >
        {% if form.jenis_kategori.errors %}
            <div class="invalid-feedback">
                {{ form.jenis_kategori.errors }}
            </div>
        {% endif %}
    </div>
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>